<template>
  <div class="right1-container">
    <InfoHeader
      name="年度维保超期统计"
      eName="Annual maintenance overdue statistics"
    ></InfoHeader>
    <InfoContent height="2.8rem">
      <div class="d-flex">
        <BarCharts
          chartId="rightsssssw2"
          :chartXData="chartXData"
          :chartYData="chartYData"
          :chartSettings="chartSettings"
        ></BarCharts>
      </div>
    </InfoContent>
  </div>
</template>

<script>
import InfoHeader from "@/components/infoHeader";
import InfoContent from "@/components/infoContent";
import BarCharts from "@/components/barCharts";
import { getElevatorMaintenanceTotal } from "@/api/elevator";
export default {
  components: {
    InfoHeader,
    InfoContent,
    BarCharts,
  },
  data() {
    return {
      chartXData: [],
      chartYData: [],
      chartSettings: { legendTextArr: ["电梯数"] },
      maintenanceName:''
    };
  },
  created() {
    this.$nextTick(()=>{
      this.getElevatorMaintenanceTotalApi();
      this.$EventBus.$on("maintenanceName", (maintenanceName) => {
      console.log(maintenanceName,'maintenanceName')
      this.maintenanceName = maintenanceName
      this.getElevatorMaintenanceTotalApi();
    })
    })
    
  },
  methods: {
    getElevatorMaintenanceTotalApi() {
      getElevatorMaintenanceTotal({maintenanceName:this.maintenanceName}).then((res) => {
        this.chartXData = res.data.overdueInfoList.map((item) => {
          return `${item.month}月`;
        });
        this.chartYData = res.data.overdueInfoList.map(item=>{
          return  item.overdueElevatorTotal;
        })
      });
    },
  },
};
</script>
<style lang="scss" scoped>
.right1-container {
  position: fixed;
  top: 4.55rem;
  right: 0.22rem;
  width: 31%;
  pointer-events: all;
  .title1 {
    background-image: url("../../../assets/images/biaoti-bck.png");
    width: 1.875rem;
    height: 0.375rem;
    line-height: 0.375rem;
    margin: 0 auto;

    font-size: 0.2rem;
    color: white;
  }
  .order {
    background: url("../../../assets/images/guzhang_bck.png");
    background-repeat: no-repeat;
    background-size: 100% 35%;
    background-position: bottom;
    height: 3.25rem;
    .rate {
      font-size: 0.55rem;
      color: white;
      font-weight: bolder;
    }
    .item {
      margin: 0.375rem 0;
      .num-title {
        font-size: 0.3rem;
        color: white;
      }
      .num-value {
        font-size: 0.36rem;
        color: white;
        margin-left: 0.15rem;
      }
    }
  }
}
</style>
